GNU bug report logs - #43809
[PATCH 0/1] gnu: emacs-tuareg: Update to 2.2.0-0.ccde45b.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; dated Mon, 5 Oct 2020 07:24:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 43809 <at> debbugs.gnu.org:


Received: (at 43809) by debbugs.gnu.org; 19 Oct 2020 18:35:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 14:35:09 2020
Received: from localhost ([127.0.0.1]:42342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUZzx-0005L1-7H
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 14:35:09 -0400
Received: from mail-qt1-f195.google.com ([209.85.160.195]:33517)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kUZzs-0005KG-7I
 for 43809 <at> debbugs.gnu.org; Mon, 19 Oct 2020 14:35:07 -0400
Received: by mail-qt1-f195.google.com with SMTP id j62so550343qtd.0
 for <43809 <at> debbugs.gnu.org>; Mon, 19 Oct 2020 11:35:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=wDmTNJowI6hPn8N554jqkrAbxAt44KCGadTwRr9ERto=;
 b=vZw1tJkLdD1+TrJpX6+QdECBYE2qJ1ffSJzGzGe91g9qxYiXEdwR15xwXs6ZbSes7M
 MkZgk8CbDAZgUvX7vIQRxzOcFlxT+PQW9Enwc6ixvl0lO9vyyXjLhgmR44h9DZa81Syf
 JxvOW0SKvnPU50pD164dqysS2Osh6nSXAk67T0vf9z3zdPP7CbPreqWIzfaQZ3FVXcvs
 efD2lNX74EEuNPKodLT3iayI+Q0XmGyRSLosI14IcxK7beHXXRuIL8PKWAaAv4zByP81
 XFRogEUp0E6v4j9z9UyLD9jW3zibcZa6BVyPz9xva8CR8hyJiJyiff09JVTaqnwY/1ns
 Q/Qw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=wDmTNJowI6hPn8N554jqkrAbxAt44KCGadTwRr9ERto=;
 b=ue6KwiJDpddaJnpYRr3PbCo68keUfYQ90DHnMBEUo+fiy5iIkp+8pmYd5fHScfL+OX
 5IxD4wKeAif0lpHpfUKNgzQD76yvrrTZrisTCqWU4W7jFfaAPfXidUgAgIGuoSvBs36P
 h+6G6DROJ4eKE8yCtcMidSOr+m2oP8lsHLBCRsK3WmpTn/9TtTZI2ci2MkuPTKdFK+5a
 CAl9B+giH69Q6ZJl5veUD/7JhP0OnR4i9C1OuLdRtdorQ/w7gBQLuJJeRwhRxbLPxOFD
 13CQOqC8KUkVxOeMdEHbExtxTUqyB+fPD/iydTc+in+bCzlZ/k9uAKG07beJ7ba4t9yF
 gypw==
X-Gm-Message-State: AOAM533HRNaeptwwokxdkc8GH1ksqG+sLD8KsTQiV8qTu65XQBNdJVJt
 AgR7VOld1Zsiz3fYDUjx5p6EJUPgYW+lKJ8kVlHMBG7w
X-Google-Smtp-Source: ABdhPJxwZRanFQyedYS+FNA7iEsmcSv5RcKs2x8H5UEpJSLe0EsxWkXDsEvNbztgb7UxbX7gzUcp/XpITUrQm1nHP+g=
X-Received: by 2002:ac8:4295:: with SMTP id o21mr719028qtl.313.1603132498721; 
 Mon, 19 Oct 2020 11:34:58 -0700 (PDT)
MIME-Version: 1.0
References: <20201005072342.17369-1-zimon.toutoune@HIDDEN>
 <20201008222532.19034-1-zimon.toutoune@HIDDEN>
 <87a6wq60rw.fsf@HIDDEN>
 <CAJ3okZ2iMqKZfzUGLsNvtNfpzThGvm77z5b=z654xbHBnGU7Cw@HIDDEN>
 <871ri25uyg.fsf@HIDDEN> <86pn5mmm7f.fsf@HIDDEN>
 <CAJ3okZ3xw4_j1bKjxEsBBW7ai-d2Boe_V+hqjiuJM6wbjgCecw@HIDDEN>
 <BD67B983-19CF-473B-BFE4-4F96B9D1F798@HIDDEN>
In-Reply-To: <BD67B983-19CF-473B-BFE4-4F96B9D1F798@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 19 Oct 2020 20:34:46 +0200
Message-ID: <CAJ3okZ3vLYv7WDkfkSM-dWs=MS4UCxUdqL4G=tfmDqEXMoovyA@HIDDEN>
Subject: Re: [bug#43809] [PATCH v2] gnu: emacs-tuareg: Update to
 2.2.0-0.ccde45b.
To: Nicolas Goaziou <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43809
Cc: 43809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Nicolas,

On Mon, 19 Oct 2020 at 19:20, Nicolas Goaziou <mail@HIDDEN> wrote:

> LGTM, as I wrote already :)

Ah sorry to bother you again, that's just because I do not have the
super power; not granted to commit access :-).

Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.

Message received at 43809 <at> debbugs.gnu.org:


Received: (at 43809) by debbugs.gnu.org; 19 Oct 2020 17:20:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 13:20:45 2020
Received: from localhost ([127.0.0.1]:42266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUYpw-0001QQ-NU
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 13:20:44 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:43101)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kUYpu-0001QA-A3
 for 43809 <at> debbugs.gnu.org; Mon, 19 Oct 2020 13:20:43 -0400
X-Originating-IP: 176.137.73.130
Received: from android-1e0c653c61a38b75
 (chr13-h03-176-137-73-130.dsl.sta.abo.bbox.fr [176.137.73.130])
 (Authenticated sender: admin@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 46C211BF203;
 Mon, 19 Oct 2020 17:20:33 +0000 (UTC)
Date: Mon, 19 Oct 2020 17:20:53 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <CAJ3okZ3xw4_j1bKjxEsBBW7ai-d2Boe_V+hqjiuJM6wbjgCecw@HIDDEN>
References: <20201005072342.17369-1-zimon.toutoune@HIDDEN>
 <20201008222532.19034-1-zimon.toutoune@HIDDEN>
 <87a6wq60rw.fsf@HIDDEN>
 <CAJ3okZ2iMqKZfzUGLsNvtNfpzThGvm77z5b=z654xbHBnGU7Cw@HIDDEN>
 <871ri25uyg.fsf@HIDDEN> <86pn5mmm7f.fsf@HIDDEN>
 <CAJ3okZ3xw4_j1bKjxEsBBW7ai-d2Boe_V+hqjiuJM6wbjgCecw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: [bug#43809] [PATCH v2] gnu: emacs-tuareg: Update to
 2.2.0-0.ccde45b.
To: zimoun <zimon.toutoune@HIDDEN>
From: Nicolas Goaziou <mail@HIDDEN>
Message-ID: <BD67B983-19CF-473B-BFE4-4F96B9D1F798@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43809
Cc: 43809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

LGTM, as I wrote already :)

Le 19 octobre 2020 09:58:58 GMT+02:00, zimoun <zimon=2Etoutoune@gmail=2Eco=
m> a =C3=A9crit :
>Hi Nicolas,
>
>Friendly ping=2E  The patch is attached to:
>
>      <http://issues=2Eguix=2Egnu=2Eorg/43809#8>
>
>Tell me if something does not like correct=2E
>
>
>All the best,
>simon

--=20
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.

Message received at 43809 <at> debbugs.gnu.org:


Received: (at 43809) by debbugs.gnu.org; 19 Oct 2020 07:59:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 19 03:59:18 2020
Received: from localhost ([127.0.0.1]:39825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUQ4c-0002ZV-0i
	for submit <at> debbugs.gnu.org; Mon, 19 Oct 2020 03:59:18 -0400
Received: from mail-qk1-f195.google.com ([209.85.222.195]:44958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kUQ4a-0002ZI-2w
 for 43809 <at> debbugs.gnu.org; Mon, 19 Oct 2020 03:59:17 -0400
Received: by mail-qk1-f195.google.com with SMTP id s14so7092196qkg.11
 for <43809 <at> debbugs.gnu.org>; Mon, 19 Oct 2020 00:59:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=lLQRAKQ/3iARWFlck5H3ASTK1Hm6FnX9eJOYiGA/PhA=;
 b=dfQngmx7o/UeedXZEm/AhHgAZqZDr9FR1V1rRLNE3KIs5oBHnZUzQMI1HfT8/ifnQi
 dY9ZcaDSIOSovxr0jgrXks6Bt97IuFDq7EESuNTO73FVtC0xZLTNGpL5UjrvR9s41YSc
 iBbaVUiYqZLc/zVgYMr62oaNyBeSHxE6d7MkPKghpRsmeSW8loGn27a1vdnLArlBQyyX
 xpznhvmS5SLH0+DKjabVzhbPgJnEm2+C89TGATGXWerMEJJpdQCfq9Bdh8xdpNFHQr/2
 2pv4UhOdGHRZIvbbjyLiIC+W4n1Ab2nv20znKQJ5Pdz7R+mbM1GJBr6LM8knqn7gSmlU
 36zA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=lLQRAKQ/3iARWFlck5H3ASTK1Hm6FnX9eJOYiGA/PhA=;
 b=j866yqZ/RMuNuzvYIRkgPPY6Cj9OKFNmOwRu0uv4zwXA+AKPgC+QXdB0WxHnnHHUnJ
 jVEd1ad1htZekNqxf5LmZHzQNEJCeyPMGd+lXw/rFmoTBIqKTRpHouhifEsldmCtnemA
 DAb0iYSEKrJi8xd5Z3Tf5vOWwpQBNTvgNN5zmlv4WGA/YDGOHcUJAGGDPUMDqd1A6kBg
 MjBrmlSFN1IlRnWLzGL8kFfhcwRodSL5uXR5S9p1bN/7wyVTYFMn9oM/hZDHZ7wBEkGU
 0vZMM7x3yzrtHZbLR4ZbkJpxgD/7TpIpnGHs/gFLAKGI1rVenG5Scoj2wYFI28Aaq2Y+
 kOtQ==
X-Gm-Message-State: AOAM531h5FlbHfsXCypqYdzqpv70GpQ/4E/1ZTd4qn+7Wz8DeN/3w9te
 VgXwFLAe2uA9IGp0586gnljqVvvkZMZnJqfhL9UuFPk6Fqs=
X-Google-Smtp-Source: ABdhPJxILB7ojxTLZSERY+FiMtBY60Gt/EdAPkrRCPl5CwLvvy1OGEfqEUAeyfsIeDRIo1si9xkFQI14DzIyfjQz4Fs=
X-Received: by 2002:a37:a2cd:: with SMTP id
 l196mr13865443qke.201.1603094350514; 
 Mon, 19 Oct 2020 00:59:10 -0700 (PDT)
MIME-Version: 1.0
References: <20201005072342.17369-1-zimon.toutoune@HIDDEN>
 <20201008222532.19034-1-zimon.toutoune@HIDDEN>
 <87a6wq60rw.fsf@HIDDEN>
 <CAJ3okZ2iMqKZfzUGLsNvtNfpzThGvm77z5b=z654xbHBnGU7Cw@HIDDEN>
 <871ri25uyg.fsf@HIDDEN> <86pn5mmm7f.fsf@HIDDEN>
In-Reply-To: <86pn5mmm7f.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 19 Oct 2020 09:58:58 +0200
Message-ID: <CAJ3okZ3xw4_j1bKjxEsBBW7ai-d2Boe_V+hqjiuJM6wbjgCecw@HIDDEN>
Subject: Re: [bug#43809] [PATCH v2] gnu: emacs-tuareg: Update to
 2.2.0-0.ccde45b.
To: Nicolas Goaziou <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43809
Cc: 43809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Nicolas,

Friendly ping.  The patch is attached to:

      <http://issues.guix.gnu.org/43809#8>

Tell me if something does not like correct.


All the best,
simon




Information forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.

Message received at 43809 <at> debbugs.gnu.org:


Received: (at 43809) by debbugs.gnu.org; 13 Oct 2020 10:53:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 06:53:21 2020
Received: from localhost ([127.0.0.1]:45316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSHvl-00066a-08
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 06:53:21 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:54823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kSHvg-00066K-VC
 for 43809 <at> debbugs.gnu.org; Tue, 13 Oct 2020 06:53:19 -0400
Received: by mail-wm1-f66.google.com with SMTP id p15so20462822wmi.4
 for <43809 <at> debbugs.gnu.org>; Tue, 13 Oct 2020 03:53:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=CBOXF9iSybZ8F2e+F+ZSAzWkDcAsQP6URNeZnmEE9w4=;
 b=nVKa+R1ZoCnIgMNam1OzEaW8sCnKdjy0VliFT2J/HGp2Y4/KdkdtnmBY8A4PnOMZvi
 LzFzM5Gmw9/tcJQ+rC9gqmOj5Y9EFrRz59f7cTJEcg12LlS2cEwCe7MPGBYYtY6p3D5Q
 JLfRF7ZOzFCXAldzdkfxTLBeH4wzzHnOq1AwP7oll5mruvmzsIWHoPJ1qq6iNHeCihth
 d9jXqew3/sHm1P6GpN91VZbMw8zSEAUTVSrxCHIMwQ61f6gFFUpCzfr05uVuOmJbaTI+
 nAxJeHHdUCLJsBtOqILLCAPYcnXktaJqjEnvv/aH13AYbRVaGUglloq3CfND2N68F0nj
 TLng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=CBOXF9iSybZ8F2e+F+ZSAzWkDcAsQP6URNeZnmEE9w4=;
 b=iJUIS+qedbDaNWxHICsnjTpTqwkBzemKwCNhjwqVMl8ewPoNkX3YluVTctYVbbocUt
 WocWSS+pmCmS7OZSh0Ea1aMKk2B2hPcNMd6OUmmw6qUmGc6YH0R2h//CyYAyLnQQXfw6
 2A9r8T9S233Sec5S29mnK7AsWA+0cp36pJyqAt6LUPgx7ex5OQkdXiM+55VEbkyTnsN/
 WgwAB+iEJuFfsWEynLT49Lo0BqZEOJlVA6k1/Gjk7zkmUqCkH0xm8W0ECfhHPRzUTXhz
 Rx5DKj2DLRZsaMU3SmGwNB+GlzQMxtZTvWunaduN6ssegBFz+lrBh/ETgjM7pNKZpvdH
 Ia8w==
X-Gm-Message-State: AOAM533agCBT449/28bHL45O2G36PQQGVlj0rzQHByL9fOSo8o5v5xPp
 OiaN9yNUIXaB2wesDLBibzfEHvNdcQ8=
X-Google-Smtp-Source: ABdhPJwLwL5SFg/GvmwmmmOkgc81p9K8Kr46ogOHAxJp5UAxWenw7O/A1VmlcAIx45H8sfhyRN2QzA==
X-Received: by 2002:a7b:c4c3:: with SMTP id g3mr15763754wmk.128.1602586390749; 
 Tue, 13 Oct 2020 03:53:10 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id b25sm23633235wmj.21.2020.10.13.03.53.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 13 Oct 2020 03:53:10 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Nicolas Goaziou <mail@HIDDEN>
Subject: Re: [bug#43809] [PATCH v2] gnu: emacs-tuareg: Update to
 2.2.0-0.ccde45b.
In-Reply-To: <871ri25uyg.fsf@HIDDEN>
References: <20201005072342.17369-1-zimon.toutoune@HIDDEN>
 <20201008222532.19034-1-zimon.toutoune@HIDDEN>
 <87a6wq60rw.fsf@HIDDEN>
 <CAJ3okZ2iMqKZfzUGLsNvtNfpzThGvm77z5b=z654xbHBnGU7Cw@HIDDEN>
 <871ri25uyg.fsf@HIDDEN>
Date: Tue, 13 Oct 2020 12:53:08 +0200
Message-ID: <86pn5mmm7f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43809
Cc: 43809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Nicolas,

Please find attached the v3 tweaking the =E2=80=99revision=E2=80=99 =E2=80=
=9C0=E2=80=9D.


On Tue, 13 Oct 2020 at 11:36, Nicolas Goaziou <mail@HIDDEN> wrot=
e:

>>> I assume emacs-build-system is not an option, right?

[...]

> AFAICT, I see mostly elisp files in the repository, and all the
> additional phases in the package are already handled by Emacs build
> system. So, I thought using emacs-build-system would be enough. I didn't
> try it, tho.

I tried and I do not know=E2=80=A6 It seems building successfully.  Even if=
 I
have not checked if the result is functional.  However, the =E2=80=99check=
=E2=80=99
phase needs revamp, I guess.

Well, the replacement needs more care than a simple drop-in. :-)


All the best,
simon

-- >8 --

--=-=-=
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: inline;
 filename=v3-0001-gnu-emacs-tuareg-Update-to-2.2.0-0.ccde45b.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: v3.patch

From 8c7d3838648e5f5b1d6dc6292550e35cf9413f82 Mon Sep 17 00:00:00 2001
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 5 Oct 2020 09:14:54 +0200
Subject: [PATCH v3] gnu: emacs-tuareg: Update to  2.2.0-0.ccde45b.

* gnu/packages/ocaml.scm (emacs-tuareg): Update to 2.2.0-0.ccde45b.
---
 gnu/packages/ocaml.scm | 88 ++++++++++++++++++++++--------------------
 1 file changed, 47 insertions(+), 41 deletions(-)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index d61948afc3..2abe63238e 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -15,6 +15,7 @@
 ;;; Copyright =C2=A9 2019 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright =C2=A9 2020 Brett Gilio <brettg@HIDDEN>
 ;;; Copyright =C2=A9 2020 Marius Bakke <marius@HIDDEN>
+;;; Copyright =C2=A9 2020 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -672,49 +673,54 @@ the OCaml core distribution.")
     (license license:lgpl2.1+))); with linking exception
=20
 (define-public emacs-tuareg
-  (package
-    (name "emacs-tuareg")
-    (version "2.2.0")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/ocaml/tuareg")
-             (commit version)))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32 "06zxnn85fk5087iq0zxc5l5n9fz8r0367wylmynbfhc9711vccy6"))))
-    (build-system gnu-build-system)
-    (native-inputs `(("emacs" ,emacs-minimal)
-                     ("opam" ,opam)))
-    (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'make-git-checkout-writable
-           (lambda _
-             (for-each make-file-writable (find-files "."))
-             #t))
-         (delete 'configure)
-         (add-before 'install 'fix-install-path
-           (lambda* (#:key outputs #:allow-other-keys)
-             (substitute* "Makefile"
-               (("/emacs/site-lisp")
-                (string-append (assoc-ref %outputs "out")
-                               "/share/emacs/site-lisp/")))
-             #t))
-         (add-after 'install 'post-install
-           (lambda* (#:key outputs #:allow-other-keys)
-             (symlink "tuareg.el"
-                      (string-append (assoc-ref outputs "out")
-                                     "/share/emacs/site-lisp/"
-                                     "tuareg-autoloads.el"))
-             #t)))))
-    (home-page "https://github.com/ocaml/tuareg")
-    (synopsis "OCaml programming mode, REPL, debugger for Emacs")
-    (description "Tuareg helps editing OCaml code, to highlight important
+  ;; Last upstream release on Sept., 14th, 2018, since then "Package cl
+  ;; deprecated" or 'lexical-binding' and others had been fixed.
+  (let ((commit "ccde45bbc292123ec20617f1af7f7e19f7481545")
+        (revision "0"))
+    (package
+      (name "emacs-tuareg")
+      (version (git-version "2.2.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/ocaml/tuareg")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1yxv4bnqarilnpg5j7wywall8170hwvm0q4xx06yqjgcn8pq1lac"))=
))
+      (build-system gnu-build-system)
+      (native-inputs
+       `(("emacs" ,emacs-minimal)
+         ("opam" ,opam)))
+      (arguments
+       `(#:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'make-git-checkout-writable
+             (lambda _
+               (for-each make-file-writable (find-files "."))
+               #t))
+           (delete 'configure)
+           (add-before 'install 'fix-install-path
+             (lambda* (#:key outputs #:allow-other-keys)
+               (substitute* "Makefile"
+                 (("/emacs/site-lisp")
+                  (string-append (assoc-ref %outputs "out")
+                                 "/share/emacs/site-lisp/")))
+               #t))
+           (add-after 'install 'post-install
+             (lambda* (#:key outputs #:allow-other-keys)
+               (symlink "tuareg.el"
+                        (string-append (assoc-ref outputs "out")
+                                       "/share/emacs/site-lisp/"
+                                       "tuareg-autoloads.el"))
+               #t)))))
+      (home-page "https://github.com/ocaml/tuareg")
+      (synopsis "OCaml programming mode, REPL, debugger for Emacs")
+      (description "Tuareg helps editing OCaml code, to highlight important
 parts of the code, to run an OCaml REPL, and to run the OCaml debugger wit=
hin
 Emacs.")
-    (license license:gpl2+)))
+      (license license:gpl2+))))
=20
 (define-public ocaml-menhir
   (package
--=20
2.28.0


--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.

Message received at 43809 <at> debbugs.gnu.org:


Received: (at 43809) by debbugs.gnu.org; 13 Oct 2020 09:36:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 05:36:20 2020
Received: from localhost ([127.0.0.1]:45237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSGjD-00049c-V5
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 05:36:20 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:58351)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kSGj9-00049J-Jd
 for 43809 <at> debbugs.gnu.org; Tue, 13 Oct 2020 05:36:19 -0400
X-Originating-IP: 185.131.40.67
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 6F5D51BF215;
 Tue, 13 Oct 2020 09:36:08 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: [bug#43809] [PATCH v2] gnu: emacs-tuareg: Update to
 2.2.0-0.ccde45b.
References: <20201005072342.17369-1-zimon.toutoune@HIDDEN>
 <20201008222532.19034-1-zimon.toutoune@HIDDEN>
 <87a6wq60rw.fsf@HIDDEN>
 <CAJ3okZ2iMqKZfzUGLsNvtNfpzThGvm77z5b=z654xbHBnGU7Cw@HIDDEN>
Date: Tue, 13 Oct 2020 11:36:07 +0200
In-Reply-To: <CAJ3okZ2iMqKZfzUGLsNvtNfpzThGvm77z5b=z654xbHBnGU7Cw@HIDDEN>
 (zimoun's message of "Tue, 13 Oct 2020 10:34:36 +0200")
Message-ID: <871ri25uyg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43809
Cc: 43809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

zimoun <zimon.toutoune@HIDDEN> writes:

> Hi,
>
> On Tue, 13 Oct 2020 at 09:30, Nicolas Goaziou <mail@HIDDEN> wrote:
>
>> > +      (source
>> > +       (origin
>> > +         (method git-fetch)
>> > +         (uri (git-reference
>> > +               (url "https://github.com/ocaml/tuareg")
>> > +               (commit commit)))
>> > +         (file-name (git-file-name name version))
>> > +         (sha256
>> > +          (base32 "1yxv4bnqarilnpg5j7wywall8170hwvm0q4xx06yqjgcn8pq1lac"))))
>> > +      (build-system gnu-build-system)
>>
>> I assume emacs-build-system is not an option, right?
>
> I do not know.  I have just tried to fix an annoying message with my
> Emacs config, not really tried to check the Tuareg package itsefl. :-)
> What do you mean?  Use the OCaml build system instead?

AFAICT, I see mostly elisp files in the repository, and all the
additional phases in the package are already handled by Emacs build
system. So, I thought using emacs-build-system would be enough. I didn't
try it, tho.

But this is indeed orthogonal to your patch, so I think you can push it
as-is.

Regards,




Information forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.

Message received at 43809 <at> debbugs.gnu.org:


Received: (at 43809) by debbugs.gnu.org; 13 Oct 2020 08:34:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 04:34:56 2020
Received: from localhost ([127.0.0.1]:45144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSFln-0002e8-Vh
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 04:34:56 -0400
Received: from mail-qt1-f194.google.com ([209.85.160.194]:38200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kSFll-0002dn-Vh
 for 43809 <at> debbugs.gnu.org; Tue, 13 Oct 2020 04:34:54 -0400
Received: by mail-qt1-f194.google.com with SMTP id q26so15454167qtb.5
 for <43809 <at> debbugs.gnu.org>; Tue, 13 Oct 2020 01:34:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=hiOyIraWb96/WZv6f5LSVRjzXaNPVapc6yW4S60GvMU=;
 b=vd6qw2bXiq8cf3YoMFlsp05JTo3onkhgATtopwmcnLNfAeusK8774Gakl2xUQQpxYC
 Ghh3bKBwIiu5iRnZzKp3UVey9tpgbwnCB0bOSHv8WBHsdNbwdcQcH5bijiioglvUO+Lx
 HDf1s4NCBAevAZOi/vz2I2jNiC+XQUWG47wnQccRgrcAZlYr/m5WNirNxwbtRW4quvBv
 5Q2j2aS3kLDw41hr7Ix8yLz7eHGJC7qu0jtvRJw6fNRutHCEPiJsvHZz9VEZjh6Xdhpg
 pBTv9f7Ap6FA+1o++hveDGDLb4ddVDgb+rPQBvx/giQHBylhVFs8WWMFUbKC6A2//wS6
 rE4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=hiOyIraWb96/WZv6f5LSVRjzXaNPVapc6yW4S60GvMU=;
 b=EDw5VuQ9NmrhmbjXIq9S3jBzA0NCrUyAsryE3uX7NQ3EJtilDCy/KaTAHtAnGLBO5a
 SQGW2XO1rKMZoTVs2IOUU5WxzQKE+futHHwDBuHM0kI+QV19A5Rn9HxXIj1fu8OSs6Bv
 Z70Tsj9AgvDGuBQUjodmLh+fTOYsXCxJWU7b+F6C7oN3IqhxCSb8iz7H/FZ+mlDCvLEb
 N/HKheevFmPgH2bxg1LEm8Fuaz5PxUeQKM5tmyoSt7O+7JEv24thqYJ0FkceaHR/reAj
 0nB6O1fCyHPuv9GvVSUYls4tfTioZKNZrSsLm8u0+M/PEXLbIvZeJcXeg9lzbE+2/EsT
 dg1A==
X-Gm-Message-State: AOAM532SW/FeBzaXx8nIFM7zX22exsxIX2jl491JkVCk2T32tHnffUjs
 XCewXcO3viwLG/wHhLQIaxHFD3rz6Cf63sJO11E/bPAW
X-Google-Smtp-Source: ABdhPJzCW1h4wa/0ANR72vztOaAiWTeODXRW0X/WDtKX4bA4Rj6UOfmppIkUbMsdOHsRK4vfpfrQ/69G5yXSDQSqIno=
X-Received: by 2002:aed:3b2a:: with SMTP id p39mr1722535qte.211.1602578088207; 
 Tue, 13 Oct 2020 01:34:48 -0700 (PDT)
MIME-Version: 1.0
References: <20201005072342.17369-1-zimon.toutoune@HIDDEN>
 <20201008222532.19034-1-zimon.toutoune@HIDDEN>
 <87a6wq60rw.fsf@HIDDEN>
In-Reply-To: <87a6wq60rw.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Tue, 13 Oct 2020 10:34:36 +0200
Message-ID: <CAJ3okZ2iMqKZfzUGLsNvtNfpzThGvm77z5b=z654xbHBnGU7Cw@HIDDEN>
Subject: Re: [bug#43809] [PATCH v2] gnu: emacs-tuareg: Update to
 2.2.0-0.ccde45b.
To: Nicolas Goaziou <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43809
Cc: 43809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Tue, 13 Oct 2020 at 09:30, Nicolas Goaziou <mail@HIDDEN> wrote:

> > +      (source
> > +       (origin
> > +         (method git-fetch)
> > +         (uri (git-reference
> > +               (url "https://github.com/ocaml/tuareg")
> > +               (commit commit)))
> > +         (file-name (git-file-name name version))
> > +         (sha256
> > +          (base32 "1yxv4bnqarilnpg5j7wywall8170hwvm0q4xx06yqjgcn8pq1lac"))))
> > +      (build-system gnu-build-system)
>
> I assume emacs-build-system is not an option, right?

I do not know.  I have just tried to fix an annoying message with my
Emacs config, not really tried to check the Tuareg package itsefl. :-)
What do you mean?  Use the OCaml build system instead?

Thanks for the review.

All the best,
simon




Information forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.

Message received at 43809 <at> debbugs.gnu.org:


Received: (at 43809) by debbugs.gnu.org; 13 Oct 2020 07:30:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 13 03:30:37 2020
Received: from localhost ([127.0.0.1]:45016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kSElY-0000y8-Vs
	for submit <at> debbugs.gnu.org; Tue, 13 Oct 2020 03:30:37 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:55959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kSElX-0000xs-5d
 for 43809 <at> debbugs.gnu.org; Tue, 13 Oct 2020 03:30:35 -0400
X-Originating-IP: 185.131.40.67
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id B638FC0015;
 Tue, 13 Oct 2020 07:30:28 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: [bug#43809] [PATCH v2] gnu: emacs-tuareg: Update to
 2.2.0-0.ccde45b.
References: <20201005072342.17369-1-zimon.toutoune@HIDDEN>
 <20201008222532.19034-1-zimon.toutoune@HIDDEN>
Date: Tue, 13 Oct 2020 09:30:27 +0200
In-Reply-To: <20201008222532.19034-1-zimon.toutoune@HIDDEN> (zimoun's
 message of "Fri, 9 Oct 2020 00:25:32 +0200")
Message-ID: <87a6wq60rw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43809
Cc: 43809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

zimoun <zimon.toutoune@HIDDEN> writes:

> * gnu/packages/ocaml.scm (emacs-tuareg): Update to 2.2.0-0.ccde45b.

Thank you.

> +  ;; Last upstream release on Sept., 14th, 2018, since then "Package cl
> +  ;; deprecated" or 'lexical-binding' and others had been fixed.
> +  (let ((commit "ccde45bbc292123ec20617f1af7f7e19f7481545"))
> +    (package
> +      (name "emacs-tuareg")
> +      (version (git-version "2.2.0" "0" commit))

I suggest to bind "0" to `revision' instead of hard-coding it here.
Otherwise, LGTM.

> +      (source
> +       (origin
> +         (method git-fetch)
> +         (uri (git-reference
> +               (url "https://github.com/ocaml/tuareg")
> +               (commit commit)))
> +         (file-name (git-file-name name version))
> +         (sha256
> +          (base32 "1yxv4bnqarilnpg5j7wywall8170hwvm0q4xx06yqjgcn8pq1lac"))))
> +      (build-system gnu-build-system)

I assume emacs-build-system is not an option, right?

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.

Message received at 43809 <at> debbugs.gnu.org:


Received: (at 43809) by debbugs.gnu.org; 8 Oct 2020 22:28:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 08 18:28:59 2020
Received: from localhost ([127.0.0.1]:33407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQePD-0004VX-9F
	for submit <at> debbugs.gnu.org; Thu, 08 Oct 2020 18:28:59 -0400
Received: from mail-qk1-f195.google.com ([209.85.222.195]:36833)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kQePA-0004VG-Ac
 for 43809 <at> debbugs.gnu.org; Thu, 08 Oct 2020 18:28:57 -0400
Received: by mail-qk1-f195.google.com with SMTP id q63so8761224qkf.3
 for <43809 <at> debbugs.gnu.org>; Thu, 08 Oct 2020 15:28:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=WjX3OIdIhwhV/WxzCdzPnNLwCJIbWpPqawL9V2t+CG0=;
 b=MS23srJS813PXaQwOil+Jms71D2GPb1KTOAQjHUhZjTQ+/QhyR+kAj3jZdEjJZDbEa
 GZkmXbTvpeHcIntYayCCLs187Tn2GMAx5JlnAVMo4NeoioqaknPNopi3qvNWvU9iP0G7
 GgIkpOwYivaSI22GXTGVTyf4tiShEVxYZTHz0TMOVdOtulfSpH+cEcsS3jp8ndlpTyZ8
 B1CekV0nEgZSFVEusp3oYVWdBA2HL5WVBgdeIerixNj5HrY59yOlN70TYJI6pGAg8+aP
 P2AT+KWLqPf18brifveoq9i+gCsKPkCU0Ciub+T6W6ZENIS0XulvRVx0aEppuQAARSk3
 jofg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=WjX3OIdIhwhV/WxzCdzPnNLwCJIbWpPqawL9V2t+CG0=;
 b=E1ADa6xTjaTLSHjy5w5/30WviC+5tx7kFgLOISt94iM182TsG+Sq/VlSTxzfFdWw4A
 lFx8hrWEzSklayRc1O+FgMSs8cj1RGCyLn8lZ2SdsxiDnfF4mmfXuS85+xSyjEz0fHD9
 nKxrf0GbBzb68I+dOkc6pd0oCIFCsxRZjOGwfwwoDBcsUURhuFw7D44MxTjVQEvFVD7T
 jHunAV6+/uwUJh4el6/yFwUCIzsNoricIXw4Eoa7KecX9LKwr4steO61TvVwL2m5haTP
 KKmcX/POInUc5Y5tbqTfbqK7BmUvY5Oi2Rj1Q4V6O5boCAkjG3ca+vaoR26KBP9Repo6
 k6Aw==
X-Gm-Message-State: AOAM532RLet1IeZCOwdTOu+4HaYTBtBys2VSgJZ2wwo36/Rhkf6qDa1B
 +8t/u8MN94jACztAeuF+NGUvj+gaXdHJsX2pBdtIfAX+TA8=
X-Google-Smtp-Source: ABdhPJw/g7EUDt+Mh4kTuygnqf5FYyU3l5jF3p/CguQHrbgMKMcpsfRRH7YPszilzXvtkGfnH809DiZCZStAb2JQhTc=
X-Received: by 2002:a37:9a89:: with SMTP id c131mr10143234qke.80.1602196130848; 
 Thu, 08 Oct 2020 15:28:50 -0700 (PDT)
MIME-Version: 1.0
References: <20201005072342.17369-1-zimon.toutoune@HIDDEN>
 <20201005072501.17848-1-zimon.toutoune@HIDDEN>
 <871ri9bz55.fsf@HIDDEN>
In-Reply-To: <871ri9bz55.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 9 Oct 2020 00:28:39 +0200
Message-ID: <CAJ3okZ1FNYSKF0+f4mES3aREQ85gPSoqUraVLVVbOgKNvtLQ9w@HIDDEN>
Subject: Re: [bug#43809] [PATCH 1/1] gnu: emacs-tuareg: Update to
 2.2.0-0.ccde45b.
To: Nicolas Goaziou <mail@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43809
Cc: 43809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Nicolas,

Thank you for the review.  The v2 is sent.

   <http://issues.guix.gnu.org/43809#3>

On Wed, 7 Oct 2020 at 21:43, Nicolas Goaziou <mail@HIDDEN> wrote:

> > +  (let ((commit "ccde45bbc292123ec20617f1af7f7e19f7481545"))
>
> I suggest to add a comment explaining why we do not use regular release.

Done but I was not very inspired. :-)


> > +      (native-inputs `(("emacs" ,emacs-minimal)
> > +                       ("opam" ,opam)))
>
> Nitpick: Please move these inputs below `native-inputs'.

Thank you for the nitpick.  Done.  To be honest, I am not tweaked this line. :-)

Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.

Message received at 43809 <at> debbugs.gnu.org:


Received: (at 43809) by debbugs.gnu.org; 8 Oct 2020 22:25:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 08 18:25:52 2020
Received: from localhost ([127.0.0.1]:33403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQeMB-0004RH-Jd
	for submit <at> debbugs.gnu.org; Thu, 08 Oct 2020 18:25:52 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:43582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kQeM7-0004R0-7y
 for 43809 <at> debbugs.gnu.org; Thu, 08 Oct 2020 18:25:50 -0400
Received: by mail-wr1-f41.google.com with SMTP id g12so8227817wrp.10
 for <43809 <at> debbugs.gnu.org>; Thu, 08 Oct 2020 15:25:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=t6z7iaJlgniGFeSEkFP0JlKj6ceM8H3opIDZ++Yq3pI=;
 b=UvW0K295XYq9bIvgpCEFVJoV63h7q1i6Tt+lNAso5Tgid3jdo1hU6a01IF8c9umeHZ
 aehqvwSy5+Fo3lqeaEgZ/G3W3DhNLNPN2inAAe9S1PBT9SacI0Mv29XBIDCUevJt2F6H
 978wz/P223Cw60X2SKCyXU41ZtFo9y0RcOcQYGoWm3HXrs/DlJHFx1CfGzzsQgANQUsA
 ZEsunrVdzGvdte18Cu+xjPgs5a3T1jEe0UI2g0TDT06Ucv69YUL1jHbPoh1OM1gYNe2M
 VdfOZ2ULXrnPD1ig59F+FNV0Qn/EmB4trkexTKg3zTiqVzPE2niqXJ4b2naZJaStZzQE
 ksbg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=t6z7iaJlgniGFeSEkFP0JlKj6ceM8H3opIDZ++Yq3pI=;
 b=hyNqe+IhyUNVupMfpTaJArpu2K1hSDOW/13wrSmIYsEsoYNjJ2ccNydzMXK8VcSwzb
 GqPhJIan+zedHwSA6SLCDx6ZsCXQ4hUvnbQNBCf1x5z1J9aQvY+LO5mnyLJBp9Y5zN1k
 X9LwmfOwJ6e22Bg4MLGbr+alWKOXfh/N9+XEOS7zUBXpQ0m39+SVOwAXIION99bw1QT1
 mUJcBq7sP9SMKEGOsLc548a63dhz98rgiCRkb0OGL+FpcSF9IxIDjetsjPcztpu1hgXN
 wEt98QbUWgO4uFtLXEZETTUUXg2qxCsLEPS6x3Zc+WI2cM5u40mT7hGenliP/x2SgsaY
 oojQ==
X-Gm-Message-State: AOAM531WlL/PpmxL4Aa2JsvxtClx7xgKTkxjCNf6VyTgW+WzHhJnj69A
 r9TYrcViQtRSbi6ev3FvPbYMp3dvPAM=
X-Google-Smtp-Source: ABdhPJynvd+npzYZnlbgn2ejm/NaTUxaQsfuaFcxAM4My5VpJUfpWW3EQN/i8OcqNEcIC5aHC7CAMw==
X-Received: by 2002:a5d:5261:: with SMTP id l1mr12402113wrc.105.1602195941203; 
 Thu, 08 Oct 2020 15:25:41 -0700 (PDT)
Received: from lili.univ-paris-diderot.fr
 ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id i1sm8978218wrx.44.2020.10.08.15.25.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 08 Oct 2020 15:25:40 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 43809 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: emacs-tuareg: Update to  2.2.0-0.ccde45b.
Date: Fri,  9 Oct 2020 00:25:32 +0200
Message-Id: <20201008222532.19034-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.28.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43809
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/ocaml.scm (emacs-tuareg): Update to 2.2.0-0.ccde45b.
---
 gnu/packages/ocaml.scm | 87 ++++++++++++++++++++++--------------------
 1 file changed, 46 insertions(+), 41 deletions(-)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index d61948afc3..9ad17ec49c 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -15,6 +15,7 @@
 ;;; Copyright © 2019 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2020 Brett Gilio <brettg@HIDDEN>
 ;;; Copyright © 2020 Marius Bakke <marius@HIDDEN>
+;;; Copyright © 2020 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -672,49 +673,53 @@ the OCaml core distribution.")
     (license license:lgpl2.1+))); with linking exception
 
 (define-public emacs-tuareg
-  (package
-    (name "emacs-tuareg")
-    (version "2.2.0")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/ocaml/tuareg")
-             (commit version)))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32 "06zxnn85fk5087iq0zxc5l5n9fz8r0367wylmynbfhc9711vccy6"))))
-    (build-system gnu-build-system)
-    (native-inputs `(("emacs" ,emacs-minimal)
-                     ("opam" ,opam)))
-    (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'make-git-checkout-writable
-           (lambda _
-             (for-each make-file-writable (find-files "."))
-             #t))
-         (delete 'configure)
-         (add-before 'install 'fix-install-path
-           (lambda* (#:key outputs #:allow-other-keys)
-             (substitute* "Makefile"
-               (("/emacs/site-lisp")
-                (string-append (assoc-ref %outputs "out")
-                               "/share/emacs/site-lisp/")))
-             #t))
-         (add-after 'install 'post-install
-           (lambda* (#:key outputs #:allow-other-keys)
-             (symlink "tuareg.el"
-                      (string-append (assoc-ref outputs "out")
-                                     "/share/emacs/site-lisp/"
-                                     "tuareg-autoloads.el"))
-             #t)))))
-    (home-page "https://github.com/ocaml/tuareg")
-    (synopsis "OCaml programming mode, REPL, debugger for Emacs")
-    (description "Tuareg helps editing OCaml code, to highlight important
+  ;; Last upstream release on Sept., 14th, 2018, since then "Package cl
+  ;; deprecated" or 'lexical-binding' and others had been fixed.
+  (let ((commit "ccde45bbc292123ec20617f1af7f7e19f7481545"))
+    (package
+      (name "emacs-tuareg")
+      (version (git-version "2.2.0" "0" commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/ocaml/tuareg")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1yxv4bnqarilnpg5j7wywall8170hwvm0q4xx06yqjgcn8pq1lac"))))
+      (build-system gnu-build-system)
+      (native-inputs
+       `(("emacs" ,emacs-minimal)
+         ("opam" ,opam)))
+      (arguments
+       `(#:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'make-git-checkout-writable
+             (lambda _
+               (for-each make-file-writable (find-files "."))
+               #t))
+           (delete 'configure)
+           (add-before 'install 'fix-install-path
+             (lambda* (#:key outputs #:allow-other-keys)
+               (substitute* "Makefile"
+                 (("/emacs/site-lisp")
+                  (string-append (assoc-ref %outputs "out")
+                                 "/share/emacs/site-lisp/")))
+               #t))
+           (add-after 'install 'post-install
+             (lambda* (#:key outputs #:allow-other-keys)
+               (symlink "tuareg.el"
+                        (string-append (assoc-ref outputs "out")
+                                       "/share/emacs/site-lisp/"
+                                       "tuareg-autoloads.el"))
+               #t)))))
+      (home-page "https://github.com/ocaml/tuareg")
+      (synopsis "OCaml programming mode, REPL, debugger for Emacs")
+      (description "Tuareg helps editing OCaml code, to highlight important
 parts of the code, to run an OCaml REPL, and to run the OCaml debugger within
 Emacs.")
-    (license license:gpl2+)))
+      (license license:gpl2+))))
 
 (define-public ocaml-menhir
   (package

base-commit: 7e917283d71fee1a29363e113f29c8c21f7c4739
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.

Message received at 43809 <at> debbugs.gnu.org:


Received: (at 43809) by debbugs.gnu.org; 7 Oct 2020 19:43:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 07 15:43:28 2020
Received: from localhost ([127.0.0.1]:58137 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQFLU-0002An-F6
	for submit <at> debbugs.gnu.org; Wed, 07 Oct 2020 15:43:28 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:39701)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1kQFLS-0002AZ-DU
 for 43809 <at> debbugs.gnu.org; Wed, 07 Oct 2020 15:43:27 -0400
X-Originating-IP: 185.131.40.67
Received: from localhost (40-67.ipv4.commingeshautdebit.fr [185.131.40.67])
 (Authenticated sender: admin@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 21D121BF204;
 Wed,  7 Oct 2020 19:43:18 +0000 (UTC)
From: Nicolas Goaziou <mail@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: [bug#43809] [PATCH 1/1] gnu: emacs-tuareg: Update to
 2.2.0-0.ccde45b.
References: <20201005072342.17369-1-zimon.toutoune@HIDDEN>
 <20201005072501.17848-1-zimon.toutoune@HIDDEN>
Date: Wed, 07 Oct 2020 21:43:18 +0200
In-Reply-To: <20201005072501.17848-1-zimon.toutoune@HIDDEN> (zimoun's
 message of "Mon, 5 Oct 2020 09:25:01 +0200")
Message-ID: <871ri9bz55.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43809
Cc: 43809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

zimoun <zimon.toutoune@HIDDEN> writes:

> * gnu/packages/ocaml.scm (emacs-tuareg): Update to 2.2.0-0.ccde45b.

Thank you. Some minor comments follow.

> +  (let ((commit "ccde45bbc292123ec20617f1af7f7e19f7481545"))

I suggest to add a comment explaining why we do not use regular release.

> +    (package
> +      (name "emacs-tuareg")
> +      (version (git-version "2.2.0" "0" commit))
> +      (source
> +       (origin
> +         (method git-fetch)
> +         (uri (git-reference
> +               (url "https://github.com/ocaml/tuareg")
> +               (commit commit)))
> +         (file-name (git-file-name name version))
> +         (sha256
> +          (base32 "1yxv4bnqarilnpg5j7wywall8170hwvm0q4xx06yqjgcn8pq1lac"))))
> +      (build-system gnu-build-system)
> +      (native-inputs `(("emacs" ,emacs-minimal)
> +                       ("opam" ,opam)))

Nitpick: Please move these inputs below `native-inputs'.

Otherwise, LGTM.

Regards,
-- 
Nicolas Goaziou




Information forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.

Message received at 43809 <at> debbugs.gnu.org:


Received: (at 43809) by debbugs.gnu.org; 5 Oct 2020 07:25:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 05 03:25:13 2020
Received: from localhost ([127.0.0.1]:47642 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kPKrx-00079H-Fn
	for submit <at> debbugs.gnu.org; Mon, 05 Oct 2020 03:25:13 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:37638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kPKrv-000795-RA
 for 43809 <at> debbugs.gnu.org; Mon, 05 Oct 2020 03:25:12 -0400
Received: by mail-wr1-f49.google.com with SMTP id h7so4653893wre.4
 for <43809 <at> debbugs.gnu.org>; Mon, 05 Oct 2020 00:25:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=0eO5EUCHy3OTgwpG/Ddi9ixu08N82X+aeYybTU5rccE=;
 b=XkbVbSsG4lvnxSI2UGTGZS266qp4/OL2Ecnucrl9kkV4bAR81z0VNITnWg71ga8wIP
 o2hGSSwViwT6uwJHdUqjwsCLP/MD0Ycfs8SSWI1ZV3Pjtp56CKuJ9pZUQPstHeNyFZ+G
 i3OLTCz2zrbsE2W3RZp9xeeqKTbJYuv2fpvOTcyRUaMkd1TBUAbE6GL4ClWIXsTxZrfw
 uTaNltVki5lQrfc5KnX3TPqVNxuEEI8Qe8jnp1+WrrEMhVrllYvrBZOzNCA2oJaJuTod
 x9/rH9vztOsZ80Oo4+mMjTVI7fbuVgHYVdySCjegvpOTB1h/O7Uj9XJI2t+dL2dWJr2j
 pSvg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=0eO5EUCHy3OTgwpG/Ddi9ixu08N82X+aeYybTU5rccE=;
 b=sISFeyaWuvEWGUU3htS+HfZyyS5IHNQJDA4CTSfPkmlwjK5xX5YBeIqCWVfYGWNtbI
 9gAJ/jZeKigJngw8b0XR6EoAn/REIVm/4zHQz7tscmd6jZqgR5sjgphv0ylK1HrNOZK5
 6EtCHJ7/ylr2DxQtJSjylShQf4Gt/zQwRCnHYSlH23jSK/X59QtbZ1e9NWLteKL9Ukyy
 2CLuqRrc7pJI8BiWnZ5m/iTyEy7uvLUw1PkzBc5AN3Z+XN6Oa98vN8PbFjlblIbNbdBf
 p77SMd9fFFhf+5UaJdxHOK+4iTeFy0ZqUx2aYlsvz5CIuu/UIoyZNq4WXewdfBr2aG9T
 Ei8g==
X-Gm-Message-State: AOAM531pvQkU8TJTOCSM7X5/WXUe9huRvWBsrJ9s7TvflDQj7G/C3UAY
 qTehyKFKvi5pxdwFLBRRuh8Kb9QG5lM=
X-Google-Smtp-Source: ABdhPJzviEFEWp6oS/S765hN8KmKvdV4iJMnG5aEvTeK7L4CUhnX+MIGM5Td2u52yRJGLx2b6i3nSg==
X-Received: by 2002:a5d:4311:: with SMTP id h17mr16380475wrq.398.1601882705583; 
 Mon, 05 Oct 2020 00:25:05 -0700 (PDT)
Received: from localhost.localdomain ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 g4sm7826536wrm.18.2020.10.05.00.25.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 05 Oct 2020 00:25:05 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 43809 <at> debbugs.gnu.org
Subject: [PATCH 1/1] gnu: emacs-tuareg: Update to  2.2.0-0.ccde45b.
Date: Mon,  5 Oct 2020 09:25:01 +0200
Message-Id: <20201005072501.17848-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.28.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43809
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/ocaml.scm (emacs-tuareg): Update to 2.2.0-0.ccde45b.
---
 gnu/packages/ocaml.scm | 84 +++++++++++++++++++++---------------------
 1 file changed, 43 insertions(+), 41 deletions(-)

diff --git a/gnu/packages/ocaml.scm b/gnu/packages/ocaml.scm
index d61948afc3..c16fcc5bd1 100644
--- a/gnu/packages/ocaml.scm
+++ b/gnu/packages/ocaml.scm
@@ -15,6 +15,7 @@
 ;;; Copyright © 2019 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2020 Brett Gilio <brettg@HIDDEN>
 ;;; Copyright © 2020 Marius Bakke <marius@HIDDEN>
+;;; Copyright © 2020 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -672,49 +673,50 @@ the OCaml core distribution.")
     (license license:lgpl2.1+))); with linking exception
 
 (define-public emacs-tuareg
-  (package
-    (name "emacs-tuareg")
-    (version "2.2.0")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/ocaml/tuareg")
-             (commit version)))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32 "06zxnn85fk5087iq0zxc5l5n9fz8r0367wylmynbfhc9711vccy6"))))
-    (build-system gnu-build-system)
-    (native-inputs `(("emacs" ,emacs-minimal)
-                     ("opam" ,opam)))
-    (arguments
-     `(#:phases
-       (modify-phases %standard-phases
-         (add-after 'unpack 'make-git-checkout-writable
-           (lambda _
-             (for-each make-file-writable (find-files "."))
-             #t))
-         (delete 'configure)
-         (add-before 'install 'fix-install-path
-           (lambda* (#:key outputs #:allow-other-keys)
-             (substitute* "Makefile"
-               (("/emacs/site-lisp")
-                (string-append (assoc-ref %outputs "out")
-                               "/share/emacs/site-lisp/")))
-             #t))
-         (add-after 'install 'post-install
-           (lambda* (#:key outputs #:allow-other-keys)
-             (symlink "tuareg.el"
-                      (string-append (assoc-ref outputs "out")
-                                     "/share/emacs/site-lisp/"
-                                     "tuareg-autoloads.el"))
-             #t)))))
-    (home-page "https://github.com/ocaml/tuareg")
-    (synopsis "OCaml programming mode, REPL, debugger for Emacs")
-    (description "Tuareg helps editing OCaml code, to highlight important
+  (let ((commit "ccde45bbc292123ec20617f1af7f7e19f7481545"))
+    (package
+      (name "emacs-tuareg")
+      (version (git-version "2.2.0" "0" commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/ocaml/tuareg")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32 "1yxv4bnqarilnpg5j7wywall8170hwvm0q4xx06yqjgcn8pq1lac"))))
+      (build-system gnu-build-system)
+      (native-inputs `(("emacs" ,emacs-minimal)
+                       ("opam" ,opam)))
+      (arguments
+       `(#:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'make-git-checkout-writable
+             (lambda _
+               (for-each make-file-writable (find-files "."))
+               #t))
+           (delete 'configure)
+           (add-before 'install 'fix-install-path
+             (lambda* (#:key outputs #:allow-other-keys)
+               (substitute* "Makefile"
+                 (("/emacs/site-lisp")
+                  (string-append (assoc-ref %outputs "out")
+                                 "/share/emacs/site-lisp/")))
+               #t))
+           (add-after 'install 'post-install
+             (lambda* (#:key outputs #:allow-other-keys)
+               (symlink "tuareg.el"
+                        (string-append (assoc-ref outputs "out")
+                                       "/share/emacs/site-lisp/"
+                                       "tuareg-autoloads.el"))
+               #t)))))
+      (home-page "https://github.com/ocaml/tuareg")
+      (synopsis "OCaml programming mode, REPL, debugger for Emacs")
+      (description "Tuareg helps editing OCaml code, to highlight important
 parts of the code, to run an OCaml REPL, and to run the OCaml debugger within
 Emacs.")
-    (license license:gpl2+)))
+      (license license:gpl2+))))
 
 (define-public ocaml-menhir
   (package
-- 
2.28.0





Information forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Oct 2020 07:23:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 05 03:23:57 2020
Received: from localhost ([127.0.0.1]:47637 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kPKqj-00076l-4U
	for submit <at> debbugs.gnu.org; Mon, 05 Oct 2020 03:23:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:55500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kPKqi-00076f-Bv
 for submit <at> debbugs.gnu.org; Mon, 05 Oct 2020 03:23:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51416)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1kPKqi-0000nL-6S
 for guix-patches@HIDDEN; Mon, 05 Oct 2020 03:23:56 -0400
Received: from mail-wm1-x332.google.com ([2a00:1450:4864:20::332]:52908)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1kPKqg-0007rS-8b
 for guix-patches@HIDDEN; Mon, 05 Oct 2020 03:23:55 -0400
Received: by mail-wm1-x332.google.com with SMTP id q9so7442574wmj.2
 for <guix-patches@HIDDEN>; Mon, 05 Oct 2020 00:23:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=5ilQTQXTgeGTZnZ6rhp76XIvp7tGf630L8tEf9D7i8E=;
 b=s4GFsfP7gAMfnnpP4mWpQc+WdoHVB3l9+nlLiIOyZaWD162PS2oTTEcZFbCflzNkEW
 fZSM8KJODfUl8ZExdrYAFodrcqTBZrZTrktIEu2k36WnfmdhYxPI82gGnp16M6rEH79Z
 /iuJXcq7/IPAhZPRhpkTB4ZF88CI6iOTvljDt+Qf3zErxmM31rck3ORpMGkxfeZ9Ll97
 PlBGKaLZ/pWhwcf0A9LvggM2StlmX3NdDNSBZCLs5ePaixrjijlQawrrvBuwbPKpY1/4
 I1DChKaj/dFftwkyy+g3U+LgeEeSeyNAMID94bzFKl9oYqJl0yHdIrE5hj8iS/0FqZ87
 0QgA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=5ilQTQXTgeGTZnZ6rhp76XIvp7tGf630L8tEf9D7i8E=;
 b=ccAVV4wZkoLCmLjRBKNc5lXROMN0PHAGDg1ki00StTv7L26HcO/mYRppcu3rYnL9sK
 tNqn+3XmCCXh+3K9anXwNK9mbPu+bHD2pcAyjLlmFHuMjHvfjC+WKZ+RIi4XS1AIo7BO
 +FUl+wNTiZ879EB5KtKOt1npCIcSlJqLOYvg1lIakq1iAJIy8gy6y2RwWpZTzWGxUCeb
 DlY+oprQ6nsbITfa6R061FmMrqzrj0UDNeGm0LxeBw8P0Zu7XrqLP6Bu0Y/A/qU5MUWl
 T/xFAQptI99CcImxa3t4Rbfqnk0x1b/5y2KFKRLblUCuhQH47IJiRJVr5An5sG3NegkN
 /pzw==
X-Gm-Message-State: AOAM531cEk+26gj4cf7dMZwNUVQZvFTJCYK94W6DAajeIEkBIKKdmM+Z
 nCwOUa+NDAMMUSL9w+HFfIV5rsrcOSU=
X-Google-Smtp-Source: ABdhPJzYOoNAVH8kpxhVjFuJ4CJz2eIfenJsNdsarGU9jTQUfeRiXCxhEXQY+yQO/CTGm+2iI3lAmg==
X-Received: by 2002:a7b:c92c:: with SMTP id h12mr15451432wml.121.1601882631964; 
 Mon, 05 Oct 2020 00:23:51 -0700 (PDT)
Received: from localhost.localdomain ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 z11sm8096554wrh.70.2020.10.05.00.23.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 05 Oct 2020 00:23:51 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/1] gnu: emacs-tuareg: Update to 2.2.0-0.ccde45b.
Date: Mon,  5 Oct 2020 09:23:42 +0200
Message-Id: <20201005072342.17369-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.28.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2a00:1450:4864:20::332;
 envelope-from=zimon.toutoune@HIDDEN; helo=mail-wm1-x332.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Dear,

This patch updates to the last revision.  The main argument is to fix the
annoying warning message about "Package cl deprecated".  It has been fixed
upstream by the commit f1fb36d2dbc34c989300662a4d94d7cdd8234f9e [1].
Moreover, this commit also fixes 'lexical-binding'.

Last, note that even nothing had been released, the last upstream commit is
from Sep. 16, 2018.

[1] <https://github.com/ocaml/tuareg/commit/f1fb36d2dbc34c989300662a4d94d7cdd8234f9e>.


All the best,
simon

zimoun (1):
  gnu: emacs-tuareg: Update to  2.2.0-0.ccde45b.

 gnu/packages/ocaml.scm | 84 +++++++++++++++++++++---------------------
 1 file changed, 43 insertions(+), 41 deletions(-)


base-commit: 435e5e27742eb71796be8a73be7a6549fd5e9582
-- 
2.28.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#43809; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 19 Oct 2020 18:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.